Cookies are an important part of the internet. They make using devices and accessing online information much smoother and affect lots of the useful features of websites. There are many different uses for cookies, but they fall into four main groups.
Cookies that are needed to provide the content, product or service you have asked for
Some cookies are essential to help your devices download or stream the information, or so you can move around websites and use their features. Without these cookies, content, products or services you've asked for can't be provided.  
Here are some examples of essential cookies:

Positioning information on a smartphone screen, tablet device or
other screen so that you can see the website and use its
functionality.
Keeping you logged in during your visit or enabling you to stream
content. Without cookies, you might have to log in on every website
you visit or repeatedly adjust your volume and viewing settings.
When you add something to the online shopping basket, cookies make
sure it's still there when you get to the checkout.
Some are session cookies which make it possible to navigate through
the website smoothly.

Improving your browsing experience
Cookies allow the application or website to remember choices you make, such as your language or region and they provide improved features.  
Here are a few examples of just some of the ways that cookies are used to improve your experience on our applications and websites:

Remembering your preferences and settings, including marketing
preferences, such as choosing whether you wish to receive marketing
information.
Remembering if you've filled in a survey, so you're not asked to do
it again.
Remembering if you've been to the application or website before.
Restricting the number of times you're shown a particular
advertisement. This is sometimes called 'frequency capping'.
Showing you information that's relevant to content, products or
services that you receive.
Giving you access to content provided by social-media sites like
Facebook or Twitter.
Showing 'related article' links that are relevant to the information
you're looking at.
Remembering an application or website you've entered, such as weather forecasts.

Analytics
We like to keep track of what websites, information and links are popular and which ones don't get used so much, to help us keep our information relevant and up to date. It's also very useful to be able to identify trends of how people navigate (find their way through) our information and when and where 'error messages' may originate.
This group of cookies, often called 'analytics cookies' are used to gather this information. The information collected is grouped with the information from everyone else’s cookies. We can then see the overall patterns of usage rather than any one person’s activity. Analytics cookies are used to improve how an application, a website and its pages work.
Our applications, web locations, websites and communications you get from us contain small invisible images known as 'web beacons' or ' pixels'. These are used to manage the interaction between you and the online information or email and allow us to assess the effectiveness of the communication.
Affiliate cookies
We use 'affiliate' cookies. Some of our web based information will contain promotional links to other companies’ sites. If you follow one of these links and then register with or buy something from that other site, a cookie is used to tell the other site that you came from one of our sites. That other site may then pay us a small amount for the successful referral. For more information, see the Internet Advertising Bureau's guide about how affiliate marketing works.  Note that when you visit those other companies’ sites, they will have their own privacy notices which set out what personal data they collect and how they will use it.